aboutsummaryrefslogtreecommitdiffhomepage
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/droid20
1 files changed, 20 insertions, 0 deletions
diff --git a/bin/droid b/bin/droid
new file mode 100755
index 0000000000..d3571dd3ec
--- /dev/null
+++ b/bin/droid
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# Run a GN-built Android binary on the connected device.
+#
+# Example usage:
+# $ ninja -C out dm
+# $ droid out/dm --src gm --config gpu
+#
+# See https://skia.org/user/quick/gn for build instructions.
+
+path=$1
+name=$(basename $1)
+shift
+args=$@
+
+set -e
+set -x
+
+adb push $path resources /data/local/tmp/
+adb shell "cd /data/local/tmp; ./$name $args"